ListDepartments
List all departments within the specified tenant organization.
GET
/api/v1/tenants/{tenantUuid}/org/departmentsOperation ID
ListDepartmentsSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Path Parameters
tenantUuidStringRequiredUUID of the tenant to list departments for
Query Parameters
parentUuidStringUUID of the parent department to list children of; empty returns root departments UUID of the parent department to list children of; empty returns root departments
keywordStringKeyword to filter departments by name Keyword to filter departments by name
pageIntegerPage number (1-based) for pagination Page number (1-based) for pagination
Example: 0
sizeIntegerNumber of records per page Number of records per page
Example: 0
